/*
 * LED_Driver.h
 *
 *  Created on: Jul 14, 2015
 *      Author: David
 */

#ifndef LED_DRIVER_H_
#define LED_DRIVER_H_

#include "Energia.h"

//forward declaration
class Schedule_Admin;

#define OFF 0
#define FLASH_GOOD 1
#define FLASH_BAD 2
#define FLASH_ALL 3
#define SOLID_GOOD 4
#define SOLID_BAD 5
#define SOLID_ALL 6
#define LOCKED_GOOD 4
#define LOCKED_BAD 5
#define LOCKED_ALL 6

class LED_Driver
{

public:

	LED_Driver();

	void init();
	void flash_good();
	void flash_bad();
	void flash_all();
	void solid_good();
	void solid_bad();
	void solid_all();
	void off();
	void flash_off();
	void check_flags();
	void lock();
	void unlock();


private:

	//output variables
	byte _state;
	byte _lock;


	int _flash_win;

	void _make_window();
};



#endif /* LED_DRIVER_H_ */
