/*
 * SD_Driver.h
 *
 *  Created on: Nov 24, 2014
 *      Author: Room 12
 */

#ifndef SD_DRIVER_H_
#define SD_DRIVER_H_

#include <Energia.h>
#include "SPI.h"
#include "pfatfs.h"
#include "Object_Admin.h"
#include "LED_Driver.h"

#define FILE "config.txt"
#define PWD_NETWORK_LEN 64

//forward declarations
class Motor_Driver;
class XBEE_Driver;
class Client_Admin;

class SD_Driver
{
public:
	SD_Driver();
	void init();
	void read_SD();
	void listen();
	void stop_listen();
	void check_flags();


private:
	int _find_start (unsigned char *buf, int msg_len);
	int _parse_int (unsigned char* buffer,int start_index,int end_index);

};

#endif /* SD_DRIVER_H_ */
